configure(1)

NAZWA
configure - przygotuj kod źródłowy do kompilacji

SKŁADNIA
configure MASZYNA [--target=CEL] [--srcdir=KATALOG] [--rm]
    [--site=SYSTEM] [--prefix=KATALOG]
    [--exec_prefix=KATALOG] [--program_prefix=KATALOG]
    [--tmpdir=KATALOG] [--with-PAKIET[=YES/NO]]
    [--without-PAKIET] [--enable-MOŻLIWOŚĆ[=YES/NO]]
    [--disable-MOŻLIWOŚĆ]
    [--norecursion] [--nfp] [-s] [-v] [-V | --version] [--help]

OPIS
configure jest programem używanym do przygotowania kodu źródłowego do kompilacji. Przygotowanie polega na stworzeniu plików 'Makefile' oraz .gdbinit, dowiązań symbolicznych, przejrzeniu podkatalogów oraz kilku dodatkowych operacjach na plikach źródłowych.

OPCJE
configure rozpoznaje następujące opcje:

--target=CEL
    Żąda przygotowania plików dla maszyny określonej parametrem CEL. Jeżeli maszyna docelowa nie jest określona wprost, zakłada się, że jest nią komputer, na którym uruchomiony został program

--srcdir=KATALOG
    Informuje program, że pliki źródłowe znajdują się w katalogu KATALOG. Pliki obiektowe są zawsze tworzone w bieżącym katalogu, `.'.

--rm
    Powoduje usunięcie definicji konfiguracji, zamiast tworzenia nowej.

--site=SYSTEM
    Żąda wykorzystania w plikach 'Makefile' fragmentów charakterystycznych dla systemu (site) SYSTEM.

--prefix=KATALOG
    Pliki instalacyjne zostaną zainstalowane w katalogu KATALOG. Domyślną wartością jest "/usr/local".

--exec_prefix=KATALOG
    Głównym katalogiem dla plików zależnych od konkretnego komputera będzie KATALOG. Domyślną wartością jest katalog podany w opcji prefix.

--program_prefix=KATALOG
    Programy o nazwach często spotykanych w sytemach typu Unix (np. make) zostaną zainstalowane w katalogu KATALOG. Dotyczy to również programów używanych do kompilacji kodu dla komputerów o innej architekturze.

--tmpdir=KATALOG
    Pliki tymczasowe będą tworzone w katalogu KATALOG.

--with-PAKIET[=YES/NO]
    Ustawia flagę na okres kompilacji informującą, czy dany PAKIET istnieje, czy nie. Jeżeli nie podano parametru =YES/NO domyślną wartością jest YES. Opcja --without-PAKIET jest równoważna z --with-PAKIET=no.

--enable-MOŻLIWOŚĆ[=YES/NO]
    Ustawia flagę na okres kompilacji informującą, czy MOŻLIWOŚĆ (cecha) powinna być dołączona, czy nie. Jeżeli nie podano parametru =YES/NO domyślną wartością jest YES. Opcja --disable-MOŻLIWOŚĆ jest równoważna z --enable-MOŻLIWOŚĆ=no.

--norecursion
    Proces konfiguracji obejmie tylko bieżący katalog. Bez tej opcji program configure rekurencyjnie przegląda katalogi poniżej bieżącego.

-nfp
    Ta opcja informuje program configure, że żaden z podanych komputerów nie posiada jednostki zmiennoprzecinkowej.

-s  Opcja używana wewnętrznie przez configure, która wstrzymuje wyświetlanie wiadomości podczas rekurencyjnego przeglądania katalogów. Komunikaty te można włączyć opcją -v

-v  Wyświetlanie informacji. Dla każdego skonfigurowanego katalogu wyświetlana jest informacja o statusie. Bez tej opcji informacja o statusie jest wyświetlana tylko dla bieżącego katalogu.

--version
    -V Wyświetla numer wersji programu configure.

-help
    Wyświetla krótki opis użycia programu.

PLIKI
configure.in    indywidualne opcje każdego katalogu
Makefile.in    szablon pliku Makefile
config.sub    dla analizy nazw konfiguracji
config.guess    dla odgadnięcia nazwy serwera, jeżeli nie została podana
config.status    ponownie przetwarza bieżący katalog (nie rekurencyjnie)

PLIKI
a.out    przestrzeń identyfikatorów i segmentu kodu.
gmon.out    wykres dynamicznych wywołań i ich prędkości.
gmon.sum podsumowanie powyższego.

ZOBACZ TAKŻE
Opis configure w info.